-module(in7).

-export([gen/1]).

gen(List) ->
    [ begin 
          {A,B} = X ,
          C = A*2 ,
          D = B*2 ,
          {C, D}
      end || X <- List].

double({A,B}) ->
    C = A*2,
    D = B*2,
    {C, D}.
    
